/***************************************************************************
                          previewoptions.h  -  description
                             -------------------
    begin                : Fri Aug 4 2000
    copyright            : (C) 2000 by Dmitry Poplavsky & Alexander Yakovlev & Eric Laffoon <pdima@users.sourceforge.net,yshurik@penguinpowered.com,sequitur@easystreet.com>
                           (C) 2002, 2004 Andras Mantia <amantia@kde.org>
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef PREVIEWOPTIONS_H
#define PREVIEWOPTIONS_H

#include "previewoptionss.h"

class TDEConfig;

class PreviewOptions : public PreviewOptionsS  {
   TQ_OBJECT
  
public:
  PreviewOptions(TQWidget *parent=0, const char *name=0);
  ~PreviewOptions();

  TQString position();
  TQString layout();
  TQString closeButtons();
  TQString docPosition();
  uint toolviewTabs();
  bool hiddenFiles();
  bool saveTrees();
  void setPosition(const TQString&);
  void setWindowLayout(const TQString&);
  void setCloseButtons(const TQString&);
  void setToolviewTabs(uint);
  void setDocPosition(const TQString&);
  void setHiddenFiles(bool show);
  void setSaveTrees(bool show);

private:
  uint m_toolviewTabs;
};

#endif
